Package com.arms.api.util.dynamicdbmaker.service

## Class DynamicDBMakerImpl

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl
  - - com.arms.api.util.dynamicdbmaker.service.DynamicDBMakerImpl

- All Implemented Interfaces:
    `DynamicDBMaker`, `TreeService`

      @Service("dynamicDBMaker")
      public class DynamicDBMakerImpl
      extends TreeServiceImpl
      implements DynamicDBMaker

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DynamicDBMakerImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Integer` | `createSchema​(java.lang.String tableNumber)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl

      `addNode, alterNode, alterNodeType, calculatePosition, cutMyself, enterMyselfFixLeftRight, enterMyselfFromTree, fixPositionParentIdOfCopyNodes, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, newInstance, overwriteNode, pasteMyselfFromTree, removeNode, saveOrUpdateList, searchNode, stretchLeft, stretchLeftRightForMyselfFromTree, stretchPositionForMyselfFromTree, stretchRight, updateField, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Constructor Detail

    - #### DynamicDBMakerImpl

          public DynamicDBMakerImpl()

  - ### Method Detail

    - #### createSchema

          public java.lang.Integer createSchema​(java.lang.String tableNumber)

      Specified by:
        `createSchema` in interface `DynamicDBMaker`